version: '3.2'
services:
  app:
    build:
      context: .
      dockerfile: docker/main/Dockerfile
    volumes:
      - .:/app
      - ${PERSISTENT_FOLDER}/logs/app:/var/log/nginx
      - ${PERSISTENT_FOLDER}/composer_cache:/root/.composer
      - ${ID_RSA_PATH}:/root/.ssh/id_rsa:ro
      - ${ID_RSA_PUB_PATH}:/root/.ssh/id_rsa.pub:ro
  
  mariadb_pipe:
    volumes:
      - ${PERSISTENT_FOLDER}/databases:/var/lib/mysql
      - ${PERSISTENT_FOLDER}/logs/mariadb:/var/log/mysql
      - ./db/conf.d:/etc/mysql/conf.d

  memcached:
    volumes:
      - ${PERSISTENT_FOLDER}/logs/memcached:/var/log
